/**********************

Chart styles

**********************/

.visualization-area .view-chart-block {
  padding: 0 15px;
  max-width: 1000px;
  width: 100%;
  margin: 0 auto;
}
.visualization-component {
  position: relative;
  padding-right: 0;
}
.visualization-component .action-wrap {
  position: absolute;
  top: 0;
  right: -60px;
}
.chart-wrap {
  padding: 50px;
  position: relative;
  background: #ffffff;
}
.chart-with-border .chart-wrap {
  border: 1px solid #dbdbdb;
  width: 100%;
}
.chart-element {
  width: 100%;
}
/************actions inside********/

.visualization-component .action-wrap.action-inside {
  right: 0;
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.with-action-info .action-inside .action {
  position: static;
}
.with-action-info .action-inside .info {
  margin: 0 0 50px 0;
}
/**************

footnotes

************/

.chart-with-left-filter .visualization-component .footnote {
  min-height: 19px;
}
.visualization-component .footnote p {
  margin: 0;
  font-size: 14px;
  color: #808080;
  line-height: 14px;
  padding-top: 10px;
  font-family: 'Ideal Sans';
  font-weight: 300;
  font-style: italic;
}
.light-style.visualization-component .footnote p {
  color: #ffffff;
}
/********

Chart type styles

*********/

.charttype {
  position: absolute;
  right: 15px;
  top: 15px;
  z-index: 1;
  background: #ffffff;
}
.charttype>span {
  color: #58595b;
  font-size: 12px;
  line-height: 25px;
  margin-right: 10px;
}
.chart-options {
  position: relative;
}
.chart-type-wrap {
  position: absolute;
  top: 0;
  z-index: 10;
  left: 50%;
  margin-left: -26px;
  width: 52px;
  padding-top: 34px;
  display: none;
}
.chart-options.active .chart-type-wrap {
  display: block;
}
.charttype ul {
  float: left;
  background: #fff none repeat scroll 0 0;
  border: 1px solid #d6d6d6;
  list-style-type: none;
  margin: 0;
  position: relative;
  padding: 10px 5px;
  box-shadow: 0 0 3px 0 #d6d6d6;
  -ms-box-shadow: 0 0 3px 0 #d6d6d6;
  -moz-box-shadow: 0 0 3px 0 #d6d6d6;
  -webkit-box-shadow: 0 0 3px 0 #d6d6d6;
  width: 100%;
}
.charttype ul:before {
  content: "";
  position: absolute;
  left: 50%;
  margin-left: -22.5px;
  bottom: 100%;
  display: block;
  width: 45px;
  height: 23px;
  background: url(img/tooltip_arrow_withshadow.png) no-repeat center center transparent;
}
.select-chat {
  cursor: pointer;
  border: 1px solid #d6d6d6;
  display: block;
  height: 20px;
  margin: 0 auto;
  width: 32px;
  background: url(../../img/icon-sprite/sprite_all_icons.png) no-repeat 4px -128px;
  position: relative;
  z-index: 15;
}
.chart-options.active .select-chat {
  background-position: -27px -128px;
}
.chart-type-item {
  padding: 5px 0;
  border-bottom: 1px solid #e6e6e6;
  list-style-type: none;
  padding: 3px 0;
  cursor: pointer;
  display: block;
  width: 100%;
  float: left;
}
.chart-type-item:first-child {
  padding-top: 0;
}
.chart-type-item:last-child {
  border: none;
  padding-bottom: 0;
}
.chart-type-item .icon {
  display: block;
  width: 26px;
  height: 26px;
  margin: 0 auto;
  border: 1px solid #cccccc;
  border-radius: 50%;
}
.chart-type-item:hover .icon, .chart-type-item.active .icon {
  background-color: #333333 !important;
  border-color: #333333 !important;
}
.chart-type-item.line-plus-bar .icon {
  background: url(img/line_plus_bar.png) no-repeat center center transparent;
}
.chart-type-item.line-plus-bar.active .icon, .chart-type-item.line-plus-bar:hover .icon {
  background: url(img/line_plus_bar_hover.png) no-repeat center center transparent;
}
.chart-type-item.column .icon {
  background-image: url(../../img/icon-sprite/sprite_all_icons.png);
  background-position: -38px -90px;
}
.chart-type-item.column.active .icon, .chart-type-item.column:hover .icon {
  background-position: -60px -90px
}
.chart-type-item.bar .icon {
  background-image: url(../../img/icon-sprite/sprite_all_icons.png);
  background-position: 7px -89px;
}
.chart-type-item.bar.active .icon, .chart-type-item.bar:hover .icon {
  background-position: -17px -89px;
}
.chart-type-item.line .icon {
  background-image: url(../../img/icon-sprite/sprite_all_icons.png);
  background-position: -137px -89px;
}
.chart-type-item.line.active .icon, .chart-type-item.line:hover .icon {
  background-position: -169px -89px;
}
.chart-type-item.stacked .icon {
  background-image: url(../../img/icon-sprite/sprite_all_icons.png);
  background-position: -297px -89px;
}
.chart-type-item.stacked.active .icon, .chart-type-item.stacked:hover .icon {
  background-position: -319px -89px;
}
.chart-type-item.donut .icon {
  background: url(img/donut_chart.png) no-repeat center center transparent;
}
.chart-type-item.donut.active .icon, .chart-type-item.donut:hover .icon {
  background: url(img/donut_chart_hover.png) no-repeat center center transparent;
}
.chart-type-item.pie .icon {
  background: url(img/pie_chart.png) no-repeat center center transparent;
}
.chart-type-item.pie.active .icon, .chart-type-item.pie:hover .icon {
  background: url(img/pie_chart_hover.png) no-repeat center center transparent;
}
.chart-type-item span:last-child {
  font-size: 10px;
  line-height: 10px;
  color: #4d4d4d;
  font-family: 'Ideal Sans Book';
  width: 100%;
  text-align: center;
  display: block;
  margin-top: 2px;
}
/*******************

carousel chart


*****************/

.carousel-chart.visualization-area .view-chart-block {
  max-width: none;
}
.carousel-chart.visualization-area .views-row-inner {
  max-width: 95%;
  margin: 0 auto;
}
.carousel-chart.visualization-area .visualization-component {
  padding-right: 60px;
}
.carousel-chart.visualization-area .visualization-component .action-wrap {
  right: 0;
}
/*************************

chart with left filter

************************/

.chart-with-indicators .view-chart-block {
  display: flex;
  background: #ffffff;
  padding: 0;
  max-width: 1140px;
  -ms-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
}
/********** chart-head-section*******/

.chart-head-section {
  padding-bottom: 15px;
  border-bottom: 1px solid #e6e6e6;
  float: left;
  padding-right: 100px;
  width: 100%;
  position: relative;
}
.chart-head-section .visualization-title {
  float: left;
  position: relative;
  padding-right: 50px;
}
.visualization-title .charttype {
  right: 0;
  top: 0;
}
/*********chart-more-actions*********/

.chart-more-actions {
  right: 0;
  top: 50%;
  position: absolute;
  margin-top: -14px;
}
.chart-more-actions ul {
  padding: 0;
  list-style-type: none;
  display: flex;
}
.chart-more-actions li {
  border-right: 1px solid #e6e6e6;
  padding: 0 8px;
  cursor: pointer;
}
.chart-more-actions li span {
  width: 12px;
  height: 12px;
  display: block;
}
.chart-full-size span {
  background: url(../../img/icon-sprite/sprite_all_icons.png) no-repeat -354px -42px;
  background-position: -160px -131px;
}
.chart-full-size:hover span {
  background-position: -138px -131px
}
.chart-refresh span {
  width: 17px !important;
  height: 13px !important;
  background: url(../../img/icon-sprite/sprite_all_icons.png) no-repeat -353px -42px;
}
.chart-refresh:hover span {
  background-position: -326px -42px
}
/*******chart right *****/

.chart-with-indicators {}
.chart-with-indicators .visualization-component {
  float: left;
  width: 100%;
}
.chart-with-indicators .visualization-component .footnote p {
  padding-top: 5px;
  font-size: 13px;
}
.chart-with-indicators .view-content {
  order: 1;
  padding: 25px 24px;
  width: calc( 100% - 313px);
}
.chart-with-indicators .chart-row-item:not(.is-active) {
  display: none;
}
.chart-with-indicators .chart-wrap {
  padding: 5px 75px 30px 0;
  position: relative;
  border-bottom: 1px solid #e6e6e6;
}
.chart-with-indicators .chart-wrap:after {
  content: "";
  height: calc( 100% - 100px);
  width: 1px;
  background: #e6e6e6;
  position: absolute;
  top: 50%;
  right: 64px;
  transform: translateY(-50%);
}
.chart-with-indicators .visualization-title .block-title {
  font-size: 16px;
  font-family: 'Ideal Sans';
  font-weight: 500;
  text-align: left;
  margin-bottom: 0;
  padding: 0;
  max-width: none;
  float: left;
}
/***** chart filter left********/

.chart-with-indicators .view-filters {
  order: 0;
  background: #0099D8;
  width: 313px;
  display: flex;
  align-items: center;
  align-content: center;
}
.left-filter {}
.left-filter ul {
  padding: 10px 0;
  list-style-type: none;
  padding-left: 0px;
  padding-right: 0px;
}
.left-filter ul.has-scroll {
  max-height: 400px;
  overflow: hidden;
  overflow-y: auto;
  padding-left: 15px;
  padding-right: 15px;
}
.left-filter li {
  padding: 10px 25px;
  cursor: pointer;
  border-bottom: 1px solid #70B4C4;
  position: relative;
}
.left-filter li:first-child {
  border-top: 1px solid #70B4C4;
}
.left-filter li:hover, .left-filter li.is-active {
  background: #004888;
}
.left-filter li:focus {
  border: none;
  outline: none;
}
.left-filter li:after {
  content: "";
  width: 14px;
  height: 14px;
  background: #004888;
  display: block;
  position: absolute;
  right: -7px;
  top: 50%;
  margin-top: -7px;
  transform: rotate(45deg);
  display: none;
}
.left-filter li.is-active:after {
  display: block;
}
.left-filter li span {
  font-family: 'Ideal Sans book', serif;
  color: #ffffff;
  font-size: 16px;
  line-height: 20px;
  display: block;
}
/*************chart popup***********/

.chart-popup {
  position: fixed;
  left: 0;
  top: -100vh;
  opacity: 0.5;
  width: 100%;
  height: 100%;
  z-index: 110;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  transition: all 0.5s linear 0s;
}
.chart-popup.is-active {
  top: 0;
  opacity: 1;
}
.chart-popup-overlay {
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  z-index: 0;
}
.chart-popup .chart-popup-inner {
  background: #fff;
  padding: 50px;
  max-width: 1200px;
  position: relative;
  width: 100%;
  max-height: calc( 100% - 40px);
  flex-direction: column;
  display: flex;
}
.chart-popup .chart-popup-title {
  width: 100%;
}
.chart-popup .chart-popup-content {
  flex: 1;
  overflow: auto;
  width: 100%;
  min-height: 400px;
}
.chart-popup .chart-popup-inner .chart-popup-close {
  cursor: pointer;
  width: 32px;
  height: 32px;
  display: block;
  position: absolute;
  top: 15px;
  right: 15px;
  background: url(img/close_popup.png) no-repeat center center transparent;
  border-radius: 50%;
}
.chart-popup .chart-popup-inner .chart-popup-close:hover {
  background-color: #f2f2f2;
}
.chart-popup .chart-popup-title h2 {
  margin: 0 0 15px 0;
  font-family: 'Open Sans';
  color: #0099d8;
  font-weight: 600 !important;
  font-size: 24px !important;
  float: left;
  position: relative;
  padding-right: 51px;
}
.chart-popup .chart-popup-title .charttype {
  top: 4px;
  right: 0;
}
.chart-popup-content tbody th {
  background: transparent !important;
}
.chart-popup .table-tab-item {
  padding-top: 30px;
}
/************tab content ************/

.chart-popup .chart-popup-title {
  position: relative;
  padding-right: 200px;
}
.chart-popup .chart-popup-title .tab-menu-block {
  position: absolute;
  right: 0;
  top: 0;
}
.chart-popup-inner .tab-content-item:not(.active) {
  display: none;
}
/****************** chart-style-box ***************/

.chart-style-box {
  padding: 25px;
  background: #ffffff;
  overflow: hidden;
}
.chart-style-box .visualization-title .block-title {
  font-size: 16px;
  font-family: 'Ideal Sans';
  font-weight: 500;
  text-align: left;
  margin-bottom: 0;
  padding: 0;
  max-width: none;
  float: left;
  color: #0099d8;
}
.chart-style-box .visualization-component {
  float: left;
  width: 100%;
  padding: 0;
}
.chart-style-box .visualization-component .chart-wrap {
  padding: 5px 75px 30px 0;
  position: relative;
}
.chart-style-box .chart-wrap:after {
  content: "";
  height: calc( 100% - 100px);
  width: 1px;
  background: #e6e6e6;
  position: absolute;
  top: 50%;
  right: 64px;
  transform: translateY(-50%);
}

/*profile page PPP Projects*/
.ppp-charts-all-block .visualization-component {
    padding-right: 0;
}

/*Investments in PPPs by sector ( USD Mn)*/
.investment-ppp-block .with-action-info{
  padding-right: 0;
}
.investment-ppp-block  .with-action-info .action-wrap {
  right: -66px;
}
.accordian-title {
  display: none;
}
.chart-block-wrapper .chart-top-action,
.compare .chart-top-action {
  padding-right: 250px;
  padding-left: 85px;
  justify-content: center;
}
.chart-block-wrapper .tab-menu-block,
.compare .tab-menu-block {
  position: absolute;
  right: 60px;
  top: 0;
}
.chart-block-wrapper .chart-title,
.chart-block-wrapper .table-title span,
.compare .chart-title,
.compare .table-title span {
  color: #4d4d4d;
}
.chart-block-wrapper .comparefilter-block,
.compare .comparefilter-block {
  position: absolute;
  left: 0;
  top: 0;
}

.ppp-charts-all-block .with-action-info .action-wrap {
  top: 50px;
  height: auto;
}

@media only screen and (max-width: 1200px) and (min-width: 768px)  {
  .investment-ppp-block.visualization-area .view-chart-block {
      padding-right: 85px;
  }
}

@media screen and (max-width:1024px) {
  .main-container .ppp-charts-all-block {
    padding-left: 20px;
    padding-right: 20px;
  }
  .chart-with-indicators .chart-wrap {
    padding-right: 25px;
  }
  .chart-with-indicators .view-filters {
    width: 260px;
  }
  .chart-with-indicators .view-content {
    width: calc( 100% - 260px);
    padding: 20px 14px;
  }
  .chart-with-indicators .chart-wrap:after {
    right: 55px;
  }
  .chart-with-indicators .chart-wrap {
    padding-right: 60px;
  }
}

@media only screen and (max-width: 991px) and (min-width: 768px)  {
  .chart-more-actions {
    margin: 0;
    top: 5px;
  }
  .chart-head-section {
    padding-right: 70px;
  }
}

@media screen and (max-width:767px) {
  .visualization-component {
    display: flex;
    flex-wrap: wrap;
  }
  .visualization-component .action-wrap{
    order: 2;
  }
  .chart-wrap {
    order: 1;
    padding: 10px;
  }
  .footnote {
    order: 3;
  }
  .investment-ppp-block .chart-wrap{
     padding-top: 35px;
  }
  .investment-ppp-block .charttype {
    top: 10px;
  }

  /*ppp projects*/
  .chart-with-indicators .chart-wrap:after{
    display: none;
  }
  .chart-with-indicators .view-chart-block {
    flex-wrap: wrap;
    box-shadow: none;
  }
  .chart-with-indicators .view-chart-block > div {
    width: 100%;
    background: #CFE3E8;
    padding: 0;
  }
  .chart-with-indicators .view-chart-block .views-row {
    background: #fff;
    padding: 15px 10px 10px;
    margin: 15px 0 10px;
    box-shadow: 0 0 0;
    -ms-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
    -webkit-box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 7px 1px rgba(0, 0, 0, 0.2);
  }
  .chart-with-indicators .view-chart-block .views-row-inner {
    overflow: hidden;
  }
  .left-filter > ul {
    padding: 0;
  }
  .accordian-title {
    margin: 0 0 10px;
    background: #0099D8 url(img/accordian/plus.png) no-repeat right 15px center;
    text-align: center;
    padding: 10px 45px 10px 15px;
    min-height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    line-height: 18px;
    font-family: 'Ideal Sans book', serif;
    color: #ffffff;
  }
  .accordian-title.active-menu {
    background: #004888 url('img/accordian/minus.png') no-repeat right 15px center;
  }
  .accordian-title:last-child {
    margin-bottom: 0;
  }
  .left-filter > ul .accordian-header > li span {
    font-size: 15px;
    line-height: 18px;
  }
  .accordian-title:after {
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: -5px;
    top: auto;
    z-index: 99;
    content: "";
    width: 14px;
    height: 14px;
    background: #004888;
    display: block;
    position: absolute;
    transform: rotate(45deg);
    display: none;
  }
  .accordian-title.active-menu:after {
    display: block;
  }
  .accordian-title.active-menu+.views-row {
    transform: translateY(-16px);
  }
  .chart-wrap,.left-filter {
    width: 100%;
  }
  .chart-with-indicators .chart-row-item {
    display: none;
  }
  .chart-head-section {
    padding-right: 0;
  }
  .chart-head-section .visualization-title {
    padding-right: 45px;
  }
  .visualization-title .charttype {
    right: 0;
  }
  .chart-with-indicators .visualization-title .block-title {
    font-size: 12px;
  }
  .chart-more-actions li {
    padding: 0 4px;
  }
  .chart-more-actions {
    margin-top: 0;
    top: 4px;
    display: none;
  }
  .chart-more-actions > ul {
    padding: 0
  }
  .chart-more-actions > ul  li {
    border: none !important;
  }
  .chart-with-indicators .chart-wrap {
    padding: 0;
  }
  .visualization-component .footnote p {
    word-break: break-word;
  }
  .accordian-title {
    display: flex;
    position: relative;
  }
  .left-filter {
    display: none;
  }
  .ppp-charts-all-block .charttype {
    right: 11px;
  }
  .chart-style-box {
    padding: 20px;
  }
  .chart-block-wrapper .chart-top-action,
  .compare .chart-top-action {
    flex-wrap: wrap;
    padding-left: 0;
    justify-content: space-between;
    padding-right: 0;
  }
  .chart-block-wrapper .comparefilter-block,
  .compare .comparefilter-block {
    position: static;
    order: 1;
  }
  .chart-block-wrapper .compare-top-title,
  .compare .compare-top-title {
    order: 3;
    padding-top: 15px;
    width: 100%;
  }
  .chart-block-wrapper .tab-menu-block,
  .compare .tab-menu-block{
    order: 2;
    position: static;
    padding-right: 25px;
  }

}
.action-wrap .view-chart-block {
  padding: 0;
  max-width: none;
  width: auto;
  margin: 0;
}